services:

  _defaults:
    autowire: true

  QSL\Braintree\Domain\GmvTrackerDomainDecorator:
    class: QSL\Braintree\Domain\GmvTrackerDomainDecorator
    decorates: XCart\Domain\GmvTrackerDomain

  QSL\Braintree\LifetimeHook\Hook:
    tags:
      - { name: xcart.lifetime-hook, moduleId: QSL-Braintree, type: upgrade, method: onUpgradeTo5510, version: '5.5.1.0' }
